<?php

$title = 'Настройка акции';

include_once '../protected/sys.php';

if (!$user OR $user['access']!='3')
{
	header("Location:/");
	exit;
}

$auctionData = $db->fetch("SELECT * FROM `auction` WHERE `id`='1'",
							null);

if (isset($_GET['on']) && $auctionData['last'] < $config['time'])
{
	$on = $db->query("UPDATE `auction` SET `last`=? WHERE `id`=?",
						array(($config['time']+$auctionData['last_time']),$auctionData['id']));

	

	$_SESSION['info'] = 'Вы запустили акцию!';
	header("Location:?");
	exit;
}

if (isset($_GET['off']))
{
	$off = $db->query("UPDATE `auction` SET `last`='0' WHERE `id`=?",
																	array($auctionData['id']));

	
	$_SESSION['error'] = 'Акция остановлена!';
	header("Location:?");
	exit;
}
if (isset($_GET['add']))
{
	if (isset($_GET['send']))
	{
		$name = htmlspecialchars($_POST['name']);
$text = htmlspecialchars($_POST['text']);
$discount = htmlspecialchars($_POST['discount']);
$action = htmlspecialchars($_POST['action']);

		

		$updTime = $db->query("UPDATE `auction` SET `name`=?, 
`text`=?,`discount`=?,`action`=? WHERE `id`=?",
													array($name,$text,$discount,$action,1));


		$_SESSION['info'] = 'Вы успешно изменили акцию!';
		header("Location:?");
		exit;
	}

	?>
	<div class ='menu'/>
		<center>
			Edit action:
			<br/>
			<form action ='?add&amp;send' method='post'/>
</br>
Имя акции:</br><input type ='text' name ='name' class ='input' value ='<?=$auctionData['name'];?>'/>
				<br/> 
				Описание акции:<input type ='text' name ='text' class ='input' value ='<?=$auctionData['text'];?>'/>
				<br/> Проценты на акцию %:
<input type ='text' name ='discount' class ='input' value ='<?=$auctionData['discount'];?>'/>
				<br/>
Акция: <br/>
			<select name ='action' class = 'input'/>
				<option value ='0'> На комплекты</option>
				<option value ='1'> На покупку рубинов</option>
			</select><br/>

				<input type='submit' class ='input' value ='Update'/>
			</form>
		</center>
	</div>
	<?
include_once $config['root'].'/protected/footermain.php';
exit;
}

if (isset($_GET['time']))
{
	if (isset($_GET['send']))
	{
		$time = (int) abs($_POST['time']);

		$updTime = $db->query("UPDATE `auction` SET `last_time`=? WHERE `id`=?",
													array($time,1));

		$_SESSION['info'] = 'Время изменено!';
		header("Location:?");
		exit;
	}

	?>
	<div class ='menu'/>
		<center>
			Введите время в секундах продолжительности акции:
			<br/>
			<form action ='?time&amp;send' method='post'/>
				<input type ='text' name ='time' class ='input' value ='<?=$auctionData['last_time'];?>'/>
				<br/></br>
В днях: <br/>
			<select name ='time' class = 'input'/>
				<option value ='86400'> 1 день</option>
				<option value ='172800'> 2 дня</option>
<option value ='259200'> 3 дня</option>

			</select><br/></br>
				<input type='submit' class ='input' value ='Update'/>
			</form>
		</center>
	</div>
	<?
include_once $config['root'].'/protected/footermain.php';
exit;
}



?>
<a class="menu" href ='?<?=($auctionData['last'] < $config['time'] ?  'on':'off');?>'/>
	<?=($auctionData['last'] < $config['time'] ?  'Включить':'Завершить');?>		
</a>
<a class="menu" href ="?add"/>
	Настройки акции
</a>
<a class="menu" href ="?time"/>
	Настройки времени проведения Акции
</a>


<?php

include_once $config['root'].'/protected/footermain.php';


?>